Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\ContentView Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\ContentView:

## Public Attributes
const | NODE_KEY = 'content_view'
const | INFO = 'Template selection settings when displaying a content'

## Additional Inherited Members
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\View
| addSemanticConfig (NodeBuilder $nodeBuilder)
| Adds semantic configuration definition. More...
| preMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor before looping over available scopes. More...
| mapConfig (array &$scopeSettings, $currentScope, ContextualizerInterface $contextualizer)
| Does semantic config to internal container parameters mapping for $currentScope. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser
| postMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor after looping over available scopes. More...

## Detailed Description

Definition at line 9 of file Bundle/EzPublishCoreBundle/DependencyInjection/Configuration/Parser/ContentView.php.

## Member Data Documentation

## ◆ INFO

const eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\ContentView::INFO = 'Template selection settings when displaying a content'

Definition at line 12 of file Bundle/EzPublishCoreBundle/DependencyInjection/Configuration/Parser/ContentView.php.

## ◆ NODE_KEY

const eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\ContentView::NODE_KEY = 'content_view'

Definition at line 11 of file Bundle/EzPublishCoreBundle/DependencyInjection/Configuration/Parser/ContentView.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\LocationView\preMap().

The documentation for this class was generated from the following file:

- Bundle/EzPublishCoreBundle/DependencyInjection/Configuration/Parser/ContentView.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.